This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1011436 - eclipse-m2e-core-1.4.0-4.fc20 fails with ClassNotFoundException: org.codehaus.plexus.PlexusContainer
eclipse-m2e-core-1.4.0-4.fc20 fails with ClassNotFoundException: org.codehaus...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: eclipse-m2e-core (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gerard Ryan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 05:28 EDT by Mikko Tiihonen
Modified: 2013-10-13 15:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: eclipse-m2e-core-1.4.0-7.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-13 15:53:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Eclipse error log (49.98 KB, text/x-log)
2013-09-24 05:28 EDT, Mikko Tiihonen
no flags Details

  None (edit)
Description Mikko Tiihonen 2013-09-24 05:28:19 EDT
Created attachment 802133 [details]
Eclipse error log

The m2e plugin is unusable since it fails to activate due to missing classes.

Currently installed eclipse packages:

eclipse-dtp-1.11.0-2.fc20.noarch
eclipse-ecf-core-3.6.0-3.fc20.noarch
eclipse-egit-3.0.0-4.fc20.noarch
eclipse-emf-2.9.0-2.fc20.noarch
eclipse-emf-core-2.9.0-2.fc20.noarch
eclipse-emf-xsd-2.9.0-2.fc20.noarch
eclipse-equinox-osgi-4.3.0-13.fc20.x86_64
eclipse-gef-3.9.0-2.git22becd5.fc20.noarch
eclipse-jdt-4.3.0-13.fc20.x86_64
eclipse-jgit-3.0.0-7.fc20.noarch
eclipse-m2e-core-1.4.0-4.fc20.noarch
eclipse-moreunit-3.0.2-2.fc20.noarch
eclipse-p2-discovery-4.2.1-3.fc20.noarch
eclipse-pde-4.3.0-13.fc20.x86_64
eclipse-platform-4.3.0-13.fc20.x86_64
eclipse-pydev-2.8.2-1.fc20.noarch
eclipse-swt-4.3.0-13.fc20.x86_64
eclipse-wtp-common-3.5.0-2.fc20.noarch
eclipse-wtp-servertools-3.5.0-2.fc20.noarch
eclipse-wtp-sourceediting-3.5.0-2.fc20.noarch
icu4j-eclipse-50.1.1-2.fc20.noarch

Steps I used to reproduce:
0) Install eclipse-platform + eclipse-m2e-core
1) Create a new unix account - login as new user
2) run "eclipse -clean"
3) go to preferences and click maven
-> error message
Comment 1 Gerard Ryan 2013-09-24 13:11:04 EDT
Thanks for the report, I'll have a look when I get a chance.
Comment 2 Fedora Update System 2013-10-01 14:32:25 EDT
eclipse-m2e-core-1.4.0-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/eclipse-m2e-core-1.4.0-6.fc20
Comment 3 Gerard Ryan 2013-10-01 14:42:58 EDT
Hi Mikko,

The above linked update should resolve that immediate issue, so that it should 'mostly' work now. I say 'mostly', becuase there was some heavy patching needed to get this package to build in Fedora 20 with maven 3.1.0.
Once upstream have properly migrated to maven 3.1.0, I'll push an update to this package asap.

Thanks again for the bug report, and feel free to report any more issues you find with this.
Comment 4 Fedora Update System 2013-10-02 02:34:38 EDT
Package eclipse-m2e-core-1.4.0-6.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing eclipse-m2e-core-1.4.0-6.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18081/eclipse-m2e-core-1.4.0-6.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-10-03 18:21:28 EDT
eclipse-m2e-core-1.4.0-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/eclipse-m2e-core-1.4.0-7.fc20
Comment 6 Fedora Update System 2013-10-13 15:53:25 EDT
eclipse-m2e-core-1.4.0-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.